#
# spec file for package ghc-hledger-lib
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hledger-lib
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.5.1
Release:        4.8
Summary:        Core data types, parsers and functionality for the hledger accounting tools
License:        GPL-3.0-or-later
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-Decimal-devel
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cmdargs-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-csv-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hashtables-devel
BuildRequires:  ghc-megaparsec-devel
BuildRequires:  ghc-mtl-compat-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pretty-show-devel
BuildRequires:  ghc-regex-tdfa-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-uglymemo-devel
BuildRequires:  ghc-utf8-string-devel
%if %{with tests}
BuildRequires:  ghc-Glob-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
%endif

%description
This is a reusable library containing hledger's core functionality.

hledger is a cross-platform program for tracking money, time, or any other
commodity, using double-entry accounting and a simple, editable file format.
It is inspired by and largely compatible with ledger(1). hledger provides
command-line, curses and web interfaces, and aims to be a reliable, practical
tool for daily use.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%{_datadir}/%{pkg_name}-%{version}/hledger_csv.5
%{_datadir}/%{pkg_name}-%{version}/hledger_csv.info
%{_datadir}/%{pkg_name}-%{version}/hledger_csv.txt
%{_datadir}/%{pkg_name}-%{version}/hledger_journal.5
%{_datadir}/%{pkg_name}-%{version}/hledger_journal.info
%{_datadir}/%{pkg_name}-%{version}/hledger_journal.txt
%{_datadir}/%{pkg_name}-%{version}/hledger_timeclock.5
%{_datadir}/%{pkg_name}-%{version}/hledger_timeclock.info
%{_datadir}/%{pkg_name}-%{version}/hledger_timeclock.txt
%{_datadir}/%{pkg_name}-%{version}/hledger_timedot.5
%{_datadir}/%{pkg_name}-%{version}/hledger_timedot.info
%{_datadir}/%{pkg_name}-%{version}/hledger_timedot.txt

%files devel -f %{name}-devel.files
%doc CHANGES README

%changelog
* Thu Apr 12 2018 psimons@suse.com
- Update hledger-lib to version 1.5.1.
  A more detailed change log is not available.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 1.2 revision 1.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.1 revision 1 with cabal2obs.
* Sun Oct 30 2016 psimons@suse.com
- Update to version 1.0.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.27.1 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.27 revision 3 with cabal2obs.
